richardjang.com
Custom Firmware 4.01 M33-2
The installation requires a PSP with 3.52 M33-3 or higher [fat PSP], or 3.60 m33 or higher [Slim PSP]. If you PSP(fat or slim) is on Offical sony firmwares, you shouldn’t try it. Please ensur…